Subject: Re: bug#50058: 28.0.5; emacs build fails with undefined reference to malloc_info

From: [email-masked]
Date: Sun, 15 Aug 2021 18:28:30 +0545

Lars Ingebrigtsen <[email-masked]> writes:

> Thanks for checking; I'm pushing the patch, then.
Thanks!

> Hm!  Very odd -- whether it loads pcase or not shouldn't depend on
> whether you're using musl or not, I'd have thought.  Is this with an
> unmodified, fresh Emacs checkout?

Sorry, that was with the commit with message `New debugging command
'malloc-info''. I can say that this one existed before malloc_info was
introduced as i had seen it when bisecting the code.

I've now tested it with these commands and the build still fails.

first case:

git pull origin
git checkout testing
git reset --hard HEAD
git pull         # pulls from local master
make 2&> ../make-emacs-aug-15-head

This one fails with some segmentation fault.

Loading subr (compiled; note, source file is newer)...
Loading subr (compiled; note, source file is newer)...
Fatal error 11: Segmentation fault
Segmentation fault
make[2]: *** [Makefile:301: emacs-lisp/cconv.elc] Error 139
make[2]: *** Waiting for unfinished jobs....
Segmentation fault
make[2]: *** [Makefile:301: emacs-lisp/macroexp.elc] Error 139
Segmentation fault
Segmentation fault
make[2]: *** [Makefile:301: emacs-lisp/bytecomp.elc] Error 139
make[2]: *** [Makefile:301: emacs-lisp/byte-opt.elc] Error 139
make[2]: Leaving directory '/home/me/src/emacs/lisp'
make[1]: *** [Makefile:801: bootstrap-emacs.pdmp] Error 2
make[1]: Leaving directory '/home/me/src/emacs/src'
make: *** [Makefile:443: src] Error 2

seeing some warnings about newer source files being newer, i did
a make bootstrap (because make clean produced same errors) and it now
fails with different errors. this one seems to be even more weird.

make bootstrap 2&> ../make-bootstrap-aug-15-head

...
  ELC      cedet/semantic/wisent/java-tags.elc
  ELC      cedet/semantic/wisent/javascript.elc

In toplevel form:
cedet/semantic/wisent/java-tags-wy.el:58:17: Error: Bad input grammar
make[3]: *** [Makefile:301: cedet/semantic/wisent/java-tags-wy.elc] Error 1
make[3]: *** Waiting for unfinished jobs....

In toplevel form:
cedet/semantic/bovine/c.el:55:1: Warning: ‘define-child-mode’ is an obsolete
    macro (as of 27.1); use ‘define-derived-mode’ instead.
make[3]: Leaving directory '/home/me/src/emacs/lisp'
make[2]: *** [Makefile:331: compile-main] Error 2
...
(4 lines about make errors)

Before doing both of these, i had done a git bisect with the following
(with HEAD pointing to commit with `New debugging command
'malloc-info'')

git bisect start HEAD emacs-27.2-rc2 --

whoose output (after 1 compilation) was:

The merge base f5d7fb3a2dee3f9ae49151e3d01483aad7fb734b is bad.
This means the bug has been fixed between
f5d7fb3a2dee3f9ae49151e3d01483aad7fb734b and
[deef5efafb70f4b171265b896505b92b6eef24e6].

i don't know how much of it is relevant so decided to include it all.

Hope it helps.